'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.get = undefined;

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _requestPromise = require('request-promise');

var _requestPromise2 = _interopRequireDefault(_requestPromise);

var _config = require('./config');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Get duos rates
 * @param {Object} params
 * @param {String} params.from From date in 'YYYY-MM-DD' format
 * @param {String} params.to To date in 'YYYY-MM-DD' format
 * @param {String|Number} params.distributorId Distributor id
 * @param {String|Number} params.llfc LLFC
 * @param {String} [params.host] From date in 'YYYY-MM-DD' format
 * @param {String} [params.apiKey] From date in 'YYYY-MM-DD' format
 * @returns {Object[]}
 */
const get = exports.get = (() => {
  var _ref = (0, _asyncToGenerator3.default)(function* ({ from, to, distributorId, llfc, host, apiKey }) {
    if (!distributorId) {
      throw new Error('Missing duos distributorId parameter');
    }
    if (!llfc) {
      throw new Error('Missing duos llfc parameter');
    }
    const response = yield _requestPromise2.default.get({
      baseUrl: host || _config.HOST,
      auth: {
        bearer: apiKey || _config.API_KEY
      },
      uri: `duos/distributorid/${distributorId}/llfc/${llfc}`,
      qs: {
        from,
        to
      },
      json: true
    });
    return response.data;
  });

  return function get(_x) {
    return _ref.apply(this, arguments);
  };
})();