'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _requestPromise = require('request-promise');

var _requestPromise2 = _interopRequireDefault(_requestPromise);

var _config = require('../config');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Factory function that returns tariff get function
 * @param {String} path path of the tariff
 * @return {Function} Get ${tariff} function
 */
exports.default = path => (() => {
  var _ref = (0, _asyncToGenerator3.default)(function* ({ from, to, host, apiKey }) {
    const query = { from, to };
    const response = yield _requestPromise2.default.get({
      baseUrl: host || _config.HOST,
      auth: {
        bearer: apiKey || _config.API_KEY
      },
      uri: path,
      qs: query,
      json: true
    });
    return response.data;
  });

  return function (_x) {
    return _ref.apply(this, arguments);
  };
})();